Package jakarta.websocket.server

# Class ServerEndpointConfig.Builder

java.lang.Object
jakarta.websocket.server.ServerEndpointConfig.Builder

Enclosing interface:
  ServerEndpointConfig

public static final class ServerEndpointConfig.Builder extends Object

## Method Summary

Modifier and Type
Method
Description
`ServerEndpointConfig`
`build()`
`ServerEndpointConfig.Builder`
`configurator(ServerEndpointConfig.Configurator serverEndpointConfigurator)`
`static ServerEndpointConfig.Builder`
`create(Class<?> endpointClass, String path)`
`ServerEndpointConfig.Builder`
`decoders(List<Class<? extends Decoder>> decoders)`
`ServerEndpointConfig.Builder`
`encoders(List<Class<? extends Encoder>> encoders)`
`ServerEndpointConfig.Builder`
`extensions(List<Extension> extensions)`
`ServerEndpointConfig.Builder`
`subprotocols(List<String> subprotocols)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static ServerEndpointConfig.Builder create(Class<?> endpointClass, String path)

### build

public ServerEndpointConfig build()

### encoders

public ServerEndpointConfig.Builder encoders(List<Class<? extends Encoder>> encoders)

### decoders

public ServerEndpointConfig.Builder decoders(List<Class<? extends Decoder>> decoders)

### subprotocols

public ServerEndpointConfig.Builder subprotocols(List<String> subprotocols)

### extensions

public ServerEndpointConfig.Builder extensions(List<Extension> extensions)

### configurator

public ServerEndpointConfig.Builder configurator(ServerEndpointConfig.Configurator serverEndpointConfigurator)